<!-- Header -->
<div id="header" ng-include="'views/common/header.html'"></div>

<!-- Navigation -->
<aside id="menu" ng-include="'views/common/navigation.html'"></aside>

<!-- Main Wrapper -->
<div id="wrapper">
    <div class="normalheader transition animated fadeIn">
        <div class="hpanel">
            <div class="panel-body">
                <a class="small-header-action" href="">
                    <div class="clip-header">
                        <i class="fa fa-arrow-up"></i>
                    </div>
                </a>

                <div id="hbreadcrumb" class="pull-right m-t-lg">
                    <ol class="hbreadcrumb breadcrumb">
                        <li><a href="index.html">Dashboard</a></li>
                        <li>
                            <span>Tourist</span>
                        </li>
                        <li class="active">
                            <span>Tracking</span>
                        </li>
                    </ol>
                </div>
                <h2 class="font-light m-b-xs">
                    Tourist Tracking
                </h2>
                <small>List of Tourist Information</small>
            </div>
        </div>
    </div>

<div class="content animate-panel">
        <div class="row">
            <div class="col-xs-12">
                <div class="hpanel hgreen">
                    <div class="panel-heading hbuilt">
                        <div panel-tools></div>
                        Tracking
                    </div>
                    <div class="panel-body">
                        <div class="table-responsive">
                            <table ng-table="THIS.tableParams" class="table">
                                <tr class="select-table" ng-repeat="item in $data">
                                    <td data-title="'PassportNo'">{{item.PassportNo}}</td>
                                    <td data-title="'Nationality'">{{item.Nationality}}</td>
                                    <td data-title="'GivenName'">{{item.GivenName}}</td>
                                    <td data-title="'Surname'">{{item.Surname}}</td>
                                    <td data-title="'ArrivalDate'">{{item.ArrivalDate}}</td>
                                    <td data-title="'Vehicle'">{{item.ArrVehicle}}</td>
                                    <td data-title="'DepartureDate'">{{item.DepartureDate}}</td>
                                    <td data-title="'Vehicle'">{{item.DepVehicle}}</td>
                                    <td data-title="'Action'"><a class="text-success" style="text-decoration:underline" ng-click="showDetail(item)">View</a></td>
                                </tr>
                                <tr class="table-row-no-data" ng-if="THIS.tableParams.total() == 0">
                                    <td colspan="8" class="text-center">ไม่พบช้อมูล</td>
                                </tr>
                            </table>
                        </div>
                    </div>
                     <div class="panel-footer">
                        Showing {{THIS.tableParams.total() > 0?((THIS.tableParams.page()-1)*THIS.tableParams.count())+1:0}} to {{(THIS.tableParams.page())*THIS.tableParams.count()
                        > THIS.tableParams.total() ?THIS.tableParams.total(): (THIS.tableParams.page())*THIS.tableParams.count()}}
                        of {{THIS.tableParams.total()}} entries
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Right sidebar -->
    <div id="right-sidebar" ng-include="'views/common/right_sidebar.html'" class="sidebar-open" ng-show="rightSidebar"></div>

    <!-- Footer -->
    <footer class="footer" ng-include="'views/common/footer.html'"></footer>
</div>